from enum import Enum


class PaymentGateway(Enum):
    """ Gateway de pagamento. """
    pagarme = 1
    mercadopago = 2


class PaymentMethod(Enum):
    """ Método de pagamento. """
    bank_slip = 1
    bank_transfer = 2
    card = 3
    pix = 4


class ProcessType(Enum):
    """ Tipo de valor para processamento. """
    fix = 1
    percentage = 2
